﻿/************************************************************************
 * Copyright: Hans Wolff
 *
 * License:  This software abides by the LGPL license terms. For further
 *           licensing information please see the top level LICENSE.txt 
 *           file found in the root directory of CodeReason Reports.
 *
 * Author:   Hans Wolff
 *
 ************************************************************************/

namespace CodeReason.Reports
{
    /// <summary>
    /// Enumeration of all available context value types
    /// </summary>
    public enum ReportContextValueType
    {
        /// <summary>
        /// Current page number
        /// </summary>
        PageNumber,
        /// <summary>
        /// Total page count
        /// </summary>
        PageCount,
        /// <summary>
        /// Report name
        /// </summary>
        ReportName,
        /// <summary>
        /// Report title
        /// </summary>
        ReportTitle
    }
}
